<div class='infinite-container input__group' >
    <div class="block-center">
      <div class="form-group">
        <label class="input__label" [innerHTML]="labelText"></label>
        <nz-input-group [nzSuffix]="suffixIconSearch"  ngClass="input {{ error ? 'border-error' : ''}}">
          <input
            [(ngModel)]="userInputSearch"
            autocomplete="off"
            name="userInputSearch" id="userInputSearch"
            (ngModelChange)="ngModelChangeInput($event)"
            (focusin)='showModal()'
            (change)='changeInput($event)'
            [placeholder]="placeholderText ? placeholderText : (idSelectItem ? idSelectItem[accessDataSelect?.name] : '')"
            type="text" nz-input placeholder="Chọn thông tin" />
        </nz-input-group>
        <ng-template #suffixIconSearch>
          <mb-button mbButtonType="ONLY_ICON"
                     (click)='clearDataSelect()'
                     mbButtonIconType="ZORRO"
                     mbPrefixIcon="close"></mb-button>
        </ng-template>
      </div>
    </div>
    <cdk-virtual-scroll-viewport
      [class.displayDropdown]="showPopupSelect"
      [ngStyle]="{'height': ds.heightCustomRender, 'border': ds.cachedData.length > 0 ? '1px solid #e8e8e8' : 'none'}"
      itemSize='10' class="infinite__search">
      <nz-list class='nz-list__content'>
        <nz-list-item *cdkVirtualFor="let item of ds" (click)='selectItem($event, item)' class='nz-list__item'
        [ngClass]="idSelectItem && idSelectItem[accessDataSelect?.id] === item[accessDataSelect?.id] ? 'active' : 'inActive'">
          <nz-skeleton *ngIf="!item" [nzAvatar]="true" [nzParagraph]="{ rows: 1 }"></nz-skeleton>
          <nz-list-item-meta
            *ngIf="item"
            [nzDescription]="item[accessDataSelect?.name]">
          </nz-list-item-meta>
        </nz-list-item>
      </nz-list>
      <div class="loading" *ngIf="ds.isLoading"><em nz-icon [nzType]="'loading'"></em></div>
    </cdk-virtual-scroll-viewport>
</div>
